@use 'variables' as v;

@mixin phone_size {
    @media (min-width: v.$phone) {
        @content;
    }
 }

 @mixin tablet_size {
    @media (min-width: v.$tablet) {
        @content;
    }
 }

 @mixin desktop_size {
    @media (min-width: v.$desktop) {
        @content;
    }
 }

 @mixin desktopXL_size {
    @media (min-width: v.$desktopXL) {
        @content;
    }
 }

 @mixin grid($columns, $mygap) {
    display: grid;
    grid-template-columns: repeat($columns, 1fr);
    gap: $mygap;
 }

 @mixin reset_list {
   margin: 0;
   padding: 0;
   list-style: none;
}

@mixin remove-default-format {
   appearance: none;
   border: none;
   outline: none;
   background: none;
   cursor: pointer;
}

@mixin remove-default-format-select {
   border: none;
   outline: none;
   background: none;
   cursor: pointer;
}

@mixin button($bgColor, $display) {
   background-color: $bgColor;
   color: $my-white;
   font-weight: $bold-font;
   text-decoration: none;
   padding: 1rem 3rem;
   text-align: center;
   margin-top: $separation_div_2;
   display: $display;
   border: none;

   &:hover {
      background-color: darken($bgColor,5);
      cursor: pointer;
   }
}